function [ output_args ] = pngToHeghtMap(imFile,outFile)
%PNGTOHEGHTMAP Summary of this function goes here
%   Detailed explanation goes here

A = imread(imFile);
figure(1);
imshow(A);

[m,n,d]= size(A);

multiplier=18;

disp('saving red chanel');
figure(2);
imshow(A(:,:,1));
redf=sprintf('%s-red.txt',outFile);
fileID = fopen(redf,'w');

x=1;
y=1;
while(x<m)
   y=1;
   while(y<n)
      temp=(double( A(x,y,1)))/255*multiplier;
      fprintf(fileID,'%1.5f\n',temp);
      y=y+1;
   end
   x=x+1;
end
fclose(fileID);

disp('saving blue chanel');
figure(3);
imshow(A(:,:,2));
bluef=sprintf('%s-blue.txt',outFile);
fileID = fopen(bluef,'w');

x=1;
y=1;
while(x<m)
   y=1;
   while(y<n)
      temp=(double( A(x,y,2)))/255*multiplier;
      fprintf(fileID,'%1.5f\n',temp);
      y=y+1;
   end
   x=x+1;
end
fclose(fileID);

disp('saving green chanel');
figure(4);
imshow(A(:,:,3));
greenf=sprintf('%s-green.txt',outFile);
fileID = fopen(greenf,'w');

x=1;
y=1;
while(x<m)
   y=1;
   while(y<n)
      temp=(double( A(x,y,1)))/255*multiplier;
      fprintf(fileID,'%1.5f\n',temp);
      y=y+1;
   end
   x=x+1;
end
fclose(fileID);

disp('saving Avg chanel');
figure(5);
avgf=sprintf('%s-avg.txt',outFile);
fileID = fopen(avgf,'w');

o=zeros(n,m);
x=1;
y=1;
while(x<m)
   y=1;
   while(y<n)
      temp=mean(A(x,y));
      temp=(double(temp))/255*multiplier;
      o(x,y)=temp;
      fprintf(fileID,'%1.5f\n',temp);
      y=y+1;
   end
   x=x+1;
end
fclose(fileID);
imshow(o);

end

